Bug 24931 - Packagekit 0.5.4 make check failed.
Summary: Packagekit 0.5.4 make check failed.
Status: RESOLVED INVALID
Alias: None
Product: PackageKit
Classification: Unclassified
Component: backend-apt (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-04 16:24 UTC by Jean
Modified: 2012-01-05 10:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean 2009-11-04 16:24:06 UTC
I am running a Crunchbang(Jaunty 9.04) system with the Xfce DE installed. I installed PK 0.3.13 i believe is in the repos and installed the smart backend. Removed the apt one then. The setup worked but i wasnt able to install or update packages. No matter what package i clicked on, it would say the package wasnt installed on my system or in the repos. I added Karmics repo to my sources and updated PK to 0.4.9 and PK gnome(2.28) too. 

I then downloaded 0.5.4 tar.gz package and tried to install. At ./configure i had to install a few dependencies for it to proceed which satisfied. Then at make check i got a 'Fail'.

Heres a C/P:

> check #111	PkControl: 	get control......OK
> check #112	PkControl: 	get TID async...TI:19:16:28.547	FI:pk-control.cFN:pk_control_get_tid_async,295
 - state array add 0x9d99f20 (0x1)
TI:19:16:28.766	FI:pk-control.c	FN:pk_control_get_tid_cb,232
 - failed: Launch helper exited with unknown return code 127
TI:19:16:28.766	FI:pk-control.c	FN:pk_control_get_tid_state_finish,196
 - state array remove 0x9d99f20
FAILED [failed to get transaction: Launch helper exited with unknown return code 127]
FAIL: pk-self-test
====================================
1 of 1 test failed
Please report to richard@hughsie.com
====================================
make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory `/etc/PackageKit/PackageKit-0.5.4/lib/packagekit-glib2'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/etc/PackageKit/PackageKit-0.5.4/lib/packagekit-glib2'
make[2]: *** [check] Error 2
make[2]: Leaving directory `/etc/PackageKit/PackageKit-0.5.4/lib/packagekit-glib2'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/etc/PackageKit/PackageKit-0.5.4/lib'
make: *** [check-recursive] Error 1
Comment 1 Richard Hughes 2009-11-05 11:04:41 UTC
I am a different Richard Hughes - please use the actual e-mail address given.
Comment 2 Jean-François Fortin Tam 2012-01-05 10:52:38 UTC
Hi there,
This bug report is very old and based on a version not supported anymore. By upgrading to a newer version of PackageKit you could receive bug fixes and new functionality. You may need to upgrade your Linux distribution to obtain a newer version of PackageKit.
Please feel free to reopen this bug if the problem still occurs with the latest version.


bug/show.html.tmpl processed on Mar 25, 2017 at 23:32:20.
(provided by the Example extension).